D-Bus 1.12.4

Data Fields
DBusArrayLenFixup Struct Reference

When modifying an existing block of values, array lengths may need to be adjusted; those adjustments are described by this struct. More...

`#include <dbus-marshal-recursive.h>`

## Data Fields
int | len_pos_in_reader
| where the length was in the original block
int | new_len
| the new value of the length in the written-out block

## Detailed Description

When modifying an existing block of values, array lengths may need to be adjusted; those adjustments are described by this struct.

Definition at line 93 of file dbus-marshal-recursive.h.

## Field Documentation

## ◆ len_pos_in_reader

int DBusArrayLenFixup::len_pos_in_reader

where the length was in the original block

Definition at line 95 of file dbus-marshal-recursive.h.

## ◆ new_len

int DBusArrayLenFixup::new_len

the new value of the length in the written-out block

Definition at line 96 of file dbus-marshal-recursive.h.

The documentation for this struct was generated from the following file:

- dbus-marshal-recursive.h